Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062768 - oo-admin-gear should not destroy last_access by using app uuid
Summary: oo-admin-gear should not destroy last_access by using app uuid
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Lokesh Mandvekar
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 23:30 UTC by Rajat Chopra
Modified: 2015-05-14 23:34 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-26 19:11:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1063191 None None None Never

Internal Links: 1063191

Description Rajat Chopra 2014-02-07 23:30:11 UTC
Description of problem:
oo-admin-gear needs gear uuid and app uuid to run. It should not need to do that.
It uses the app uuid to remove the last access file, but it should use the gear uuid instead.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a scalable app and scale up by one gear
2. remove the scaled up gear from mongo (use rockmongo)
3. run oo-admin-chk (it will report the missing gear)
4. run oo-admin-gear

Actual results:
Only the lost gear's stuff should be removed from the node, but the app uuid is also taken into account by the script.

Expected results:
Delete the lost gear's stuff only. And nothing else.

Additional info:

Comment 1 openshift-github-bot 2014-02-11 02:44:57 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/1bc7179cb47f15c101becb375ade133654f436be
Bug 1062768

only require action and gear uuid as arguments.
do not delete last_access of app uuid

	modified:   node-util/sbin/oo-admin-gear

Comment 2 Dan McPherson 2014-02-11 02:45:48 UTC
https://github.com/openshift/origin-server/pull/4704

Comment 3 Meng Bo 2014-02-11 10:50:19 UTC
Checked on devenv_4358, the oo-admin-gear is using gear_uuid instead of app_uuid and app_name.

The last access for the gear uuid will be deleted.

Deleting gear access info...
rm: cannot remove `/var/lib/openshift/.last_access/52f9fc60a034a11bca0001cc': No such file or directory

move bug to verified.


Note You need to log in before you can comment on or make changes to this bug.